[@algorandfoundation/algokit-utils](../README.md) / [types/dispenser-client](../modules/types_dispenser_client.md) / TestNetDispenserApiClientParams

# Interface: TestNetDispenserApiClientParams

[types/dispenser-client](../modules/types_dispenser_client.md).TestNetDispenserApiClientParams

The parameters to construct a TestNet Dispenser API client.

## Table of contents

### Properties

- [authToken](types_dispenser_client.TestNetDispenserApiClientParams.md#authtoken)
- [requestTimeout](types_dispenser_client.TestNetDispenserApiClientParams.md#requesttimeout)

## Properties

### authToken

• **authToken**: `string`

The API auth token

#### Defined in

[src/types/dispenser-client.ts:41](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/dispenser-client.ts#L41)

___

### requestTimeout

• `Optional` **requestTimeout**: `number`

The request timeout in seconds

#### Defined in

[src/types/dispenser-client.ts:43](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/dispenser-client.ts#L43)
